#!/bin/sh

if [ -n "$PLESK_INSTALLER_DEBUG" -o -n "$PLESK_INSTALLER_VERBOSE" ]; then
	set -x;
fi

# 0 - on, 1 - off
QMAIL=1
POSTFIX=1



if which rpm >/dev/null 2>&1; then
	if [ $POSTFIX = 1 ]; then
		rpm -qa | grep -q plesk-mail-pc-driver
		POSTFIX=$?
	fi;
	if [ $QMAIL = 1 ]; then
		rpm -qa | grep -q plesk-mail-qc-driver
		QMAIL=$?
	fi;
fi

if which dpkg >/dev/null 2>&1; then
	if [ $POSTFIX = 1 ]; then
		dpkg --list | grep -q plesk-mail-pc-driver
		POSTFIX=$?
	fi;
	if [ $QMAIL = 1 ]; then
		dpkg --list | grep -q plesk-mail-qc-driver
		QMAIL=$?
	fi;
fi

# detection went wrong - abstain from taking any actions
if [ $POSTFIX = $QMAIL ]; then
	if [ -n "$PLESK_INSTALLER_DEBUG" -o -n "$PLESK_INSTALLER_VERBOSE" ]; then
		echo ERROR: both qmail and postfix detected
	fi
	exit 1;
fi

if [ $POSTFIX = 0 ]; then
	if [ -n "$PLESK_INSTALLER_DEBUG" -o -n "$PLESK_INSTALLER_VERBOSE" ]; then
		echo postfix detected
	fi
	mv /usr/local/psa/tmp/postfix-mailmng /usr/local/psa/admin/sbin/mailmng
	mv /usr/local/psa/tmp/postfix-authpsa /usr/lib/courier-imap/authlib/authpsa
	mv /usr/local/psa/tmp/postfix-dk_sign /usr/local/psa/handlers/hooks/dk_sign

	which restorecon > /dev/null
	if [ $? = 0 ]; then
		restorecon /usr/local/psa/admin/sbin/mailmng
		restorecon /usr/lib/courier-imap/authlib/authpsa
		restorecon /usr/local/psa/handlers/hooks/dk_sign;
	fi;
fi

if [ $QMAIL = 0 ]; then
	if [ -n "$PLESK_INSTALLER_DEBUG" -o -n "$PLESK_INSTALLER_VERBOSE" ]; then
		echo qmail detected
	fi
	mv /usr/local/psa/tmp/qmail-mailmng /usr/local/psa/admin/sbin/mailmng
	mv /usr/local/psa/tmp/qmail-authpsa /usr/lib/courier-imap/authlib/authpsa
	mv /usr/local/psa/tmp/qmail-dk_sign /usr/local/psa/handlers/hooks/dk_sign

	which restorecon > /dev/null
	if [ $? = 0 ]; then
		restorecon /usr/local/psa/admin/sbin/mailmng
		restorecon /usr/lib/courier-imap/authlib/authpsa
		restorecon /usr/local/psa/handlers/hooks/dk_sign;
	fi;
fi

